%global debug_package %{nil}

Name:           vkQuake
Version:        1.13.0
Release:        4%{?dist}
Summary:        vkQuake is a port of id Software's Quake using Vulkan

License:        gpl2
URL:            https://github.com/Novum/vkQuake/
Source0:        %{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	vkquake

BuildRequires:  make, vulkan-headers, gcc
BuildRequires:  SDL2-devel, libvorbis-devel, libmad-devel
Requires:    	glibc, libvorbis, libogg, libmad, SDL2-devel
Requires:	vulkan-headers, vulkan-loader

%{?fc36:BuildRequires: 	vulkan-loader-devel}
%{?fc35:BuildRequires: 	mesa-vulkan-devel}
%{?el8:BuildRequires: 	vulkan-loader-devel}
%{?el9:BuildRequires: 	vulkan-loader-devel}

%description
vkQuake is a port of id Software's Quake using Vulkan instead of OpenGL for rendering. It is based on the popular QuakeSpasm and QuakeSpasm-Spiked ports and runs all mods compatible with QuakeSpasm like Arcane Dimensions.

%prep
%autosetup


%build
cd Quake
%make_build -j %(nproc)


%install
cd Quake
mkdir -p $RPM_BUILD_ROOT/usr/games/vkquake
%make_install

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
%{__install} -p -T -m 755 \
	     %{SOURCE3} \
	     $RPM_BUILD_ROOT%{_bindir}/vkquake

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/applications
%{__install} -p -T -m 655 \
             %{SOURCE1} \
             $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/icons
%{__install} -p -T -m 655 \
             %{SOURCE2} \
             $RPM_BUILD_ROOT%{_datadir}/icons/%{name}.png
             


%files
/usr/bin/vkquake
/usr/games/vkquake/vkquake
/usr/share/applications/vkQuake.desktop
/usr/share/icons/vkQuake.png

%changelog
* Sat Jun 18 2022 Andrew Schott <andrew@schotty.com> - 1.13.0-3
- Fixed things for EL8, EL9

* Sat Jun 18 2022 Andrew Schott <andrew@schotty.com> - 1.13.0-3
- Fixed things for Fedora 36

* Wed Apr 06 2022 Andrew Schott <andrew@schotty.com> - 1.13.0-2
- Added Desktop entry and icon

* Wed Apr 06 2022 Andrew Schott <andrew@schotty.com> - 1.13.0-1
- Initial spec
